osl::record::usi Namespace Reference

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Functions
osl::record::usi Namespace Reference

## Classes
class | ParseError
class | UsiFile

## Functions
const Move | strToMove (const std::string &, const state::SimpleState &)
PtypeO | charToPtypeO (char)
const std::string | show (Move)
const std::string | show (PtypeO)
const std::string | show (Piece)
const std::string | show (const state::SimpleState &)
void | parseBoard (const std::string &board, state::SimpleState &)
| 盤面を取得する. More...
void | parse (const std::string &line, state::NumEffectState &)
| [sfen <sfenstring> | startpos ] moves <move1> ... More...
void | parse (const std::string &line, state::SimpleState &initial, vector< Move > &moves)
state::NumEffectState | makeState (const std::string &line)
void | escape (std::string &str)
| URIやFile systemとして使えるように、文字をescape. More...
void | unescape (std::string &str)
| escapeされた文字を元に戻す. More...

## Function Documentation

osl::PtypeO osl::record::usi::charToPtypeO | ( | char | c) |  |

Definition at line 115 of file usi.cc.

References osl::BLACK, osl::record::psn::charToPtype(), osl::newPtypeO(), osl::PTYPE_EMPTY, and osl::WHITE.

void osl::record::usi::escape | ( | std::string & | str) |  |

URIやFile systemとして使えるように、文字をescape.

これはGPSShogiによる拡張であり、standardではない. str自体が修正される

Definition at line 244 of file usi.cc.

Referenced by checkmate_escape(), osl::search::QuiescenceSearch2< EvalT >::examineTakeBack2(), and osl::checkmate::Dfpn::generateCheck().

osl::state::NumEffectState osl::record::usi::makeState | ( | const std::string & | line) |  |

Definition at line 179 of file usi.cc.

References parse().

void osl::record::usi::parse | ( | const std::string & | line,
|  | state::NumEffectState & |
| ) |  |

[sfen <sfenstring> | startpos ] moves <move1> ...

<movei>

Referenced by osl::game_playing::UsiResponse::isValidPosition(), makeState(), osl::game_playing::UsiState::parseUsi(), and osl::record::usi::UsiFile::UsiFile().

void osl::record::usi::parse | ( | const std::string & | line,
|  | state::SimpleState & | initial,
|  | vector< Move > & | moves
| ) |  |

void osl::record::usi::parseBoard | ( | const std::string & | board,
|  | state::SimpleState & |
| ) |  |

盤面を取得する.

board文字列が不正なときは、ParseErrorがthrowされる.

Parameters

  board | USIの文字列
  state | boardの解析結果が出力される

const std::string osl::record::usi::show | ( | Move | m) |  |

Definition at line 15 of file usi.cc.

References osl::Move::isNormal(), osl::Move::isPass(), and osl::record::csa::show().

Referenced by osl::game_playing::UsiResponse::genmove(), osl::game_playing::UsiResponse::genmoveProbability(), osl::search::UsiMonitor::rootForcedMove(), osl::game_playing::UsiState::usiBoard(), and osl::game_playing::UsiState::usiString().

const std::string osl::record::usi::show | ( | PtypeO | ptypeo) |  |

Definition at line 27 of file usi.cc.

References osl::getOwner(), osl::getPtype(), osl::isPiece(), osl::isPromoted(), osl::record::csa::show(), osl::unpromote(), and osl::WHITE.

const std::string osl::record::usi::show | ( | Piece | p) |  |

Definition at line 42 of file usi.cc.

References osl::Piece::ptypeO(), and osl::record::csa::show().

const std::string osl::record::usi::show | ( | const state::SimpleState & | ) |  |

const Move osl::record::usi::strToMove | ( | const std::string & | ,
|  | const state::SimpleState & |
| ) |  |

Referenced by osl::game_playing::UsiResponse::csamove(), osl::game_playing::UsiResponse::ki2moves(), osl::game_playing::UsiState::parseIgnoreMoves(), and usiMovesToPositionString().

void osl::record::usi::unescape | ( | std::string & | str) |  |

escapeされた文字を元に戻す.

これはGPSShogiによる拡張であり、standardではない. str自体が修正される

Definition at line 252 of file usi.cc.